## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenEnumImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
                      org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassifierImpl
                          org.eclipse.emf.codegen.ecore.genmodel.impl.GenDataTypeImpl
                              org.eclipse.emf.codegen.ecore.genmodel.impl.GenEnumImpl

All Implemented Interfaces:
  GenBase, GenClassifier, GenDataType, GenEnum, Notifier, EObject, InternalEObject

    public class GenEnumImpl

extends GenDataTypeImpl
implements GenEnum

An implementation of the model object 'Gen Enum'.

The following features are implemented:

- `Type Safe Enum Compatible`
- `Ecore Enum`
- `Gen Enum Literals`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`GenBaseImpl.AnnotationFilter, GenBaseImpl.AnnotationFilterImpl, GenBaseImpl.ColorInformation, GenBaseImpl.EclipseUtil, GenBaseImpl.GenAnnotationCopier, GenBaseImpl.GenClassFilter, GenBaseImpl.GenConstraintFilter, GenBaseImpl.GenFeatureFilter, GenBaseImpl.GenOperationFilter, GenBaseImpl.GIFEmitter, GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected EEnum` `ecoreEnum` The cached value of the '`Ecore Enum`' reference
`protected EList<GenEnumLiteral>` `genEnumLiterals` The cached value of the '`Gen Enum Literals`' containment reference list
`protected static boolean` `TYPE_SAFE_ENUM_COMPATIBLE_EDEFAULT` The default value of the '`Type Safe Enum Compatible`' attribute
`protected boolean` `typeSafeEnumCompatible` The cached value of the '`Type Safe Enum Compatible`' attribute

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenDataTypeImpl
`ecoreDataType, xmlCalendarTypes`

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassifierImpl
`genTypeParameters`

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`DEFAULT_ANNOTATION_FILTER, ecoreGenPackage, EMPTY_URI, genAnnotations, PLATFORM_RESOURCE_URI, xmlNamespaceGenPackage, xmlTypeGenPackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenEnumImpl()`

Method Summary
`EEnum` `basicGetEcoreEnum()`
`boolean` `canGenerateEdit()`
`boolean` `canGenerateEditor()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`void` `generate(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`EClassifier` `getEcoreClassifier()`
`EDataType` `getEcoreDataType()`
`EEnum` `getEcoreEnum()`
`java.lang.String` `getEnumLiteralID(GenEnumLiteral genEnumLiteral)`
`int` `getEnumLiteralValue(GenEnumLiteral genEnumLiteral)`
`GenEnumLiteral` `getGenEnumLiteral(java.lang.String literalName)`
`EList<GenEnumLiteral>` `getGenEnumLiterals()`
`java.lang.String` `getImportedMetaType()`
`java.lang.String` `getImportedName()`
`java.lang.String` `getQualifiedName()`
`java.lang.String` `getRawQualifiedInstanceClassName()`
`java.lang.String` `getStaticValue(java.lang.String literal)`
`java.util.List<GenEnumLiteral>` `getUniqueValuedGenEnumLiterals()`
`protected boolean` `hasModelContribution()`
`void` `initialize(EEnum eEnum)`
`boolean` `isSerializable()`
`boolean` `isTypeSafeEnumCompatible()`
`boolean` `reconcile()`
`boolean` `reconcile(GenEnum oldGenEnumVersion)`
`protected void` `reconcileSettings(GenEnum oldGenEnumVersion)`
`void` `setEcoreEnum(EEnum newEcoreEnum)`
`void` `setTypeSafeEnumCompatible(boolean newTypeSafeEnumCompatible)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenDataTypeImpl

`basicGetEcoreDataType, getAllGenConstraints, getBaseType, getConstraintDelegate, getConstraintImplementor, getEffectiveItemType, getEffectiveMemberTypes, getEnumerationLiterals, getFractionDigits, getGenConstraints, getGeneratedInstanceClassFlag, getImportedBoundedWildcardInstanceClassName, getImportedInstanceClassName, getImportedParameterizedInstanceClassName, getImportedParameterizedObjectInstanceClassName, getImportedWildcardInstanceClassName, getImportedWildcardObjectInstanceClassName, getInternalQualifiedInstanceClassName, getItemType, getLengthAccessorFunction, getMaxLength, getMaxLiteral, getMemberTypes, getMinLength, getMinLiteral, getModelInfo, getObjectInstanceClassName, getObjectType, getPatterns, getPrimitiveValueFunction, getQualifiedInstanceClassName, getRawImportedInstanceClassName, getRawInstanceClassName, getSerializableFlag, getTotalDigits, getWhiteSpace, initialize, isArrayType, isMaxInclusive, isMinInclusive, isObjectType, isPrimitiveType, isXMLBoolean, isXMLCalendar, isXMLDuration, reconcile, reconcileSettings, setEcoreDataType`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenClassifierImpl
`getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getEcoreModelElement, getFormattedName, getGenPackage, getGenTypeParameters, getMetaType, getName, getQualifiedClassifierAccessor, getSafeUncapName, getUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

`addNonDuplicates, appendAnnotationInfo, appendAnnotationInfo, appendAnnotationInfo, appendLineBreak, appendModelSetting, appendModelSetting, canGenerate, canGenerateSchema, canGenerateTests, capName, collectGenClasses, collectGenConstraints, collectGenFeatures, collectGenOperations, createInputStream, createMonitor, createOutputStream, eObjectForURIFragmentSegment, escapeString, eURIFragmentSegment, exists, filterGenClasses, findGenClass, findGenClassifier, findGenDataType, findGenEnum, findGenFeature, findGenOperation, findGenPackage, findGenPackageHelper, findOrCreateContainer, format, format, formatCode, gen, gen, genEdit, genEditor, generate, generate, generate, generate, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getAllGenPackages, getAnnotationInfo, getAnnotationInfo, getBoundType, getContents, getCopyright, getCopyright, getDocumentation, getDocumentation, getEcoreType, getEffectiveComplianceLevel, getEffectiveEObjectType, getEffectiveFeatureMapWrapperInterface, getEffectiveListType, getEffectiveListType, getEffectiveListType, getEffectiveMapType, getEffectiveMapType, getEffectiveMapType, getEncoding, getExtendedMetaData, getGenAnnotation, getGenAnnotations, getGenModel, getImplClassName, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedType, getImportedType, getImportedType, getImportManager, getInstanceClass, getJavaLangTypes, getJavaReservedWords, getPrimitiveDefault, getPrimitiveObjectType, getType, getType, getType, getTypeArgument, getTypeArguments, getTypeGenClasses, hasCopyright, hasDocumentation, hasReferenceToClassifierWithInstanceTypeName, hasReferenceToClassifierWithInstanceTypeName, indent, isBlank, isEffectiveSuppressEMFTypes, isJavaUtilMapEntry, isPrimitiveType, isReadOnly, parseName, reconcileGenAnnotations, safeName, setImportManager, setOverwriteable, uncapName, uncapPrefixedName, uncapPrefixedName, unicodeEscapeEncode`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenDataType

`getBaseType, getEnumerationLiterals, getFractionDigits, getImportedInstanceClassName, getImportedParameterizedObjectInstanceClassName, getImportedWildcardObjectInstanceClassName, getItemType, getLengthAccessorFunction, getMaxLength, getMaxLiteral, getMemberTypes, getMinLength, getMinLiteral, getModelInfo, getObjectInstanceClassName, getObjectType, getPatterns, getPrimitiveValueFunction, getQualifiedInstanceClassName, getSerializableFlag, getTotalDigits, getWhiteSpace, initialize, isArrayType, isMaxInclusive, isMinInclusive, isObjectType, isPrimitiveType, isXMLCalendar, isXMLDuration, reconcile, setEcoreDataType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenClassifier

`getAllGenConstraints, getClassifierAccessorName, getClassifierID, getClassifierInstanceName, getConstraintDelegate, getConstraintImplementor, getFormattedName, getGenConstraints, getGeneratedInstanceClassFlag, getGenPackage, getGenTypeParameters, getImportedBoundedWildcardInstanceClassName, getImportedParameterizedInstanceClassName, getImportedWildcardInstanceClassName, getMetaType, getName, getQualifiedClassifierAccessor, getRawImportedInstanceClassName, getRawInstanceClassName, getSafeUncapName, hasOnlyDefaultConstraints, isUncheckedCast`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### TYPE_SAFE_ENUM_COMPATIBLE_EDEFAULT

    protected static final boolean TYPE_SAFE_ENUM_COMPATIBLE_EDEFAULT

  The default value of the '`Type Safe Enum Compatible`' attribute.

  See Also:
    `isTypeSafeEnumCompatible()`, Constant Field Values

### typeSafeEnumCompatible

    protected boolean typeSafeEnumCompatible

  The cached value of the '`Type Safe Enum Compatible`' attribute.

  See Also:
    `isTypeSafeEnumCompatible()`

### ecoreEnum

    protected EEnum ecoreEnum

  The cached value of the '`Ecore Enum`' reference.

  See Also:
    `getEcoreEnum()`

### genEnumLiterals

    protected EList<GenEnumLiteral> genEnumLiterals

  The cached value of the '`Gen Enum Literals`' containment reference list.

  See Also:
    `getGenEnumLiterals()`

Constructor Detail

### GenEnumImpl

    protected GenEnumImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenDataTypeImpl`

### isTypeSafeEnumCompatible

    public boolean isTypeSafeEnumCompatible()

  Specified by:
    `isTypeSafeEnumCompatible` in interface `GenEnum`
  Returns:
    the value of the 'Type Safe Enum Compatible' attribute.
  See Also:
    `GenEnum.setTypeSafeEnumCompatible(boolean)`, `GenModelPackage.getGenEnum_TypeSafeEnumCompatible()`

### setTypeSafeEnumCompatible

    public void setTypeSafeEnumCompatible(boolean newTypeSafeEnumCompatible)

  Specified by:
    `setTypeSafeEnumCompatible` in interface `GenEnum`
  Parameters:
    `newTypeSafeEnumCompatible` - the new value of the 'Type Safe Enum Compatible' attribute.
  See Also:
    `GenEnum.isTypeSafeEnumCompatible()`

### getEcoreEnum

    public EEnum getEcoreEnum()

  Specified by:
    `getEcoreEnum` in interface `GenEnum`
  Returns:
    the value of the 'Ecore Enum' reference.
  See Also:
    `GenEnum.setEcoreEnum(EEnum)`, `GenModelPackage.getGenEnum_EcoreEnum()`

### basicGetEcoreEnum

    public EEnum basicGetEcoreEnum()

### setEcoreEnum

    public void setEcoreEnum(EEnum newEcoreEnum)

  Specified by:
    `setEcoreEnum` in interface `GenEnum`
  Parameters:
    `newEcoreEnum` - the new value of the 'Ecore Enum' reference.
  See Also:
    `GenEnum.getEcoreEnum()`

### getGenEnumLiterals

    public EList<GenEnumLiteral> getGenEnumLiterals()

  Specified by:
    `getGenEnumLiterals` in interface `GenEnum`
  Returns:
    the value of the 'Gen Enum Literals' containment reference list.
  See Also:
    `GenModelPackage.getGenEnum_GenEnumLiterals()`, `GenEnumLiteral.getGenEnum()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenBaseImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenClassifierImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenDataTypeImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenDataTypeImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenDataTypeImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenDataTypeImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

### getEcoreClassifier

    public EClassifier getEcoreClassifier()

  Specified by:
    `getEcoreClassifier` in interface `GenClassifier`
  Overrides:
    `getEcoreClassifier` in class `GenDataTypeImpl`

### getEcoreDataType

    public EDataType getEcoreDataType()

  Description copied from class: `GenDataTypeImpl`

  Specified by:
    `getEcoreDataType` in interface `GenDataType`
  Overrides:
    `getEcoreDataType` in class `GenDataTypeImpl`
  Returns:
    the value of the 'Ecore Data Type' reference.
  See Also:
    `GenDataType.setEcoreDataType(EDataType)`, `GenModelPackage.getGenDataType_EcoreDataType()`

### getImportedMetaType

    public java.lang.String getImportedMetaType()

  Specified by:
    `getImportedMetaType` in interface `GenClassifier`
  Overrides:
    `getImportedMetaType` in class `GenDataTypeImpl`

### getQualifiedName

    public java.lang.String getQualifiedName()

  Specified by:
    `getQualifiedName` in interface `GenEnum`

### getImportedName

    public java.lang.String getImportedName()

  Specified by:
    `getImportedName` in interface `GenEnum`

### getRawQualifiedInstanceClassName

    public java.lang.String getRawQualifiedInstanceClassName()

  Overrides:
    `getRawQualifiedInstanceClassName` in class `GenDataTypeImpl`

### getEnumLiteralID

    public java.lang.String getEnumLiteralID(GenEnumLiteral genEnumLiteral)

  Specified by:
    `getEnumLiteralID` in interface `GenEnum`

### getEnumLiteralValue

    public int getEnumLiteralValue(GenEnumLiteral genEnumLiteral)

  Specified by:
    `getEnumLiteralValue` in interface `GenEnum`

### getGenEnumLiteral

    public GenEnumLiteral getGenEnumLiteral(java.lang.String literalName)

  Specified by:
    `getGenEnumLiteral` in interface `GenEnum`

### getUniqueValuedGenEnumLiterals

    public java.util.List<GenEnumLiteral> getUniqueValuedGenEnumLiterals()

  Specified by:
    `getUniqueValuedGenEnumLiterals` in interface `GenEnum`

### isSerializable

    public boolean isSerializable()

  Specified by:
    `isSerializable` in interface `GenDataType`
  Overrides:
    `isSerializable` in class `GenDataTypeImpl`

### initialize

    public void initialize(EEnum eEnum)

  Specified by:
    `initialize` in interface `GenEnum`

### hasModelContribution

    protected boolean hasModelContribution()

  Overrides:
    `hasModelContribution` in class `GenBaseImpl`

### generate

    @Deprecated
    public void generate(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generate` in interface `GenBase`
  Overrides:
    `generate` in class `GenBaseImpl`

### canGenerateEdit

    public boolean canGenerateEdit()

  Specified by:
    `canGenerateEdit` in interface `GenBase`
  Overrides:
    `canGenerateEdit` in class `GenBaseImpl`

### canGenerateEditor

    public boolean canGenerateEditor()

  Specified by:
    `canGenerateEditor` in interface `GenBase`
  Overrides:
    `canGenerateEditor` in class `GenBaseImpl`

### reconcile

    public boolean reconcile(GenEnum oldGenEnumVersion)

  Specified by:
    `reconcile` in interface `GenEnum`

### reconcileSettings

    protected void reconcileSettings(GenEnum oldGenEnumVersion)

### reconcile

    public boolean reconcile()

  Specified by:
    `reconcile` in interface `GenBase`
  Overrides:
    `reconcile` in class `GenDataTypeImpl`

### getStaticValue

    public java.lang.String getStaticValue(java.lang.String literal)

  Specified by:
    `getStaticValue` in interface `GenDataType`
  Overrides:
    `getStaticValue` in class `GenDataTypeImpl`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.